Sikkerhedsopdateringer til Adobe Flash Player

Udgivelsesdato: 13. maj 2014

Id for sikkerhedsproblem: APSB14-14

Prioritet: Se tabel nedenfor

CVE-nummer: CVE-2014-0510, CVE-2014-0516, CVE-2014-0517, CVE-2014-0518, CVE-2014-0519, CVE-2014-0520

Platform: Alle platforme

Resumé

Adobe har udgivet sikkerhedsopdateringer til Adobe Flash Player 13.0.0.206 og tidligere versioner til Windows og Macintosh samt Adobe Flash Player 11.2.202.356 og tidligere versioner til Linux. Disse opdateringer vedrører sikkerhedsproblemer, der potentielt kan give en hacker mulighed for at få kontrol over det berørte system. Adobe anbefaler, at brugerne opdaterer deres produktinstallationer med de seneste versioner:

  • Brugere af Adobe Flash Player 13.0.0.206 og tidligere versioner til Windows og Macintosh bør opdatere til Adobe Flash Player 13.0.0.214.
  • Brugere af Adobe Flash Player 11.2.202.356 og tidligere versioner til Linux bør opdatere til Adobe Flash Player 11.2.202.359.
  • Adobe Flash Player 13.0.0.206, der er installeret med Google Chrome, vil automatisk blive opdateret til den nyeste Google Chrome-version, som vil medtage Adobe Flash Player 13.0.0.214 til Windows, Macintosh og Linux.
  • Adobe Flash Player 13.0.0.206, som er installeret med Internet Explorer 10, opdateres automatisk til den seneste version af Internet Explorer 10, som indeholder Adobe Flash Player 13.0.0.214 til Windows 8.0.
  • Adobe Flash Player 13.0.0.206, som er installeret med Internet Explorer 11, opdateres automatisk til den seneste version af Internet Explorer 11, som indeholder Adobe Flash Player 13.0.0.214 til Windows 8.1.
  • Brugere af Adobe AIR 13.0.0.83 SDK og tidligere versioner bør opdatere til Adobe AIR 13.0.0.111 SDK.
  • Brugere af Adobe AIR 13.0.0.83 SDK & Compiler samt tidligere versioner bør opdatere til Adobe AIR 13.0.0.111 SDK & Compiler.

Berørte softwareversioner

  • Adobe Flash Player 13.0.0.206 og tidligere versioner til Windows og Macintosh
  • Adobe Flash Player 11.2.202.356 og tidligere versions for Linux
  • Adobe AIR 13.0.0.83 SDK og tidligere versioner
  • Adobe AIR 13.0.0.83 SDK & Compiler og tidligere versioner

For at kontrollere, hvilken version af Adobe Flash Player der er installeret på dit system, skal du gå ind på Om Flash Player-siden eller højreklikke på indhold, der kører i Flash Player, og vælge "Om Adobe (eller Macromedia) Flash Player" via menuen. Hvis du anvender flere webbrowsere, skal du udføre denne kontrol i hver webbrowser, der er installeret på systemet.

Du kan se, hvilken version af Adobe AIR, der er installeret på dit system ved at følge anvisningerne i Adobe AIR TechNote.

Løsning

Adobe anbefaler, at brugerne opdaterer deres software ved at følge nedenstående anvisninger:

  • Adobe anbefaler, at brugere af Adobe Flash Player 13.0.0.206 og tidligere versioner til Windows og Macintosh opdaterer til den nyeste version 13.0.0.214 ved at downloade den fra Adobe Flash Player Download Center eller via opdateringsmekanismen i produktet, når man bliver spurgt.
  • Adobe anbefaler, at brugere af Adobe Flash Player 11.2.202.356 og tidligere versioner til Linux opdaterer til Adobe Flash Player 11.2.202.359 ved at downloade den fra Adobe Flash Player Download Center.
  • Adobe Flash Player 13.0.0.206, der er installeret med Google Chrome, vil automatisk blive opdateret til den nyeste Google Chrome-version, som vil medtage Adobe Flash Player 13.0.0.214 til Windows, Macintosh og Linux.
  • Adobe Flash Player 13.0.0.206, som er installeret med Internet Explorer 10, opdateres automatisk til den seneste version af Internet Explorer 10, som indeholder Adobe Flash Player 13.0.0.214 til Windows 8.0.
  • Adobe Flash Player 13.0.0.206, som er installeret med Internet Explorer 11, opdateres automatisk til den seneste version af Internet Explorer 11, som indeholder Adobe Flash Player 13.0.0.214 til Windows 8.1.
  • Brugere af Adobe AIR 13.0.0.83 SDK bør opdatere til Adobe AIR 13.0.0.111 SDK.
  • Brugere af Adobe AIR 13.0.0.83 SDK & Compiler samt tidligere versioner bør opdatere til Adobe AIR 13.0.0.111 SDK & Compiler.

* Med start d. 13. maj 2014, erstatter Adobe Flash Player 13 til Mac og Windows version 11.7 som den udvidede supportversion. Adobe anbefaler, at brugerne opgraderer til version 13 for at fortsætte med at modtage sikkerhedsopdateringer.  Se denne blog-post for yderligere oplysninger. http://blogs.adobe.com/flashplayer/2014/03/upcoming-changes-to-flash-players-extended-support-release.html

Prioritets- og alvorlighedsgrader

Adobe kategoriserer disse opdateringer med følgende prioritetsgrader og anbefaler, at brugere opdaterer deres installation til den nyeste version:

Produkt Opdateret version Platform Prioritetsgrad
Adobe Flash Player 13.0.0.214
Windows og Macintosh
1
  13.0.0.214 Internet Explorer 10 til Windows 8.0 1
  13.0.0.214
Internet Explorer 11 til Windows 8.1 1
  13.0.0.214
Chrome til Windows, Macintosh og Linux 1
  11.2.202.359 Linux 3
Adobe AIR SDK og Compiler 13.0.0.111 Windows og Macintosh 3
Adobe AIR SDK 13.0.0.111 Windows og Macintosh 3

Disse opdateringer vedrører et kritisk sikkerhedsproblem i softwaren.

Yderligere oplysninger

Adobe har udgivet sikkerhedsopdateringer til Adobe Flash Player 13.0.0.206 og tidligere versioner til Windows og Macintosh samt Adobe Flash Player 11.2.202.356 og tidligere versioner til Linux. Disse opdateringer vedrører sikkerhedsproblemer, der potentielt kan give en hacker mulighed for at få kontrol over det berørte system. Adobe anbefaler, at brugerne opdaterer deres produktinstallationer med de seneste versioner:

  • Brugere af Adobe Flash Player 13.0.0.206 og tidligere versioner til Windows og Macintosh bør opdatere til Adobe Flash Player 13.0.0.214
  • Brugere af Adobe Flash Player 11.2.202.356 og tidligere versioner til Linux bør opdatere til Adobe Flash Player 11.2.202.359.
  • Adobe Flash Player 13.0.0.206, der er installeret med Google Chrome, vil automatisk blive opdateret til den nyeste Google Chrome-version, som vil medtage Adobe Flash Player 13.0.0.214 til Windows, Macintosh og Linux.
  • Adobe Flash Player 13.0.0.206, som er installeret med Internet Explorer 10, opdateres automatisk til den seneste version af Internet Explorer 10, som indeholder Adobe Flash Player 13.0.0.214 til Windows 8.0.
  • Adobe Flash Player 13.0.0.206, som er installeret med Internet Explorer 11, opdateres automatisk til den seneste version af Internet Explorer 11, som indeholder Adobe Flash Player 13.0.0.214 til Windows 8.1.
  • Brugere af Adobe AIR 13.0.0.83 SDK og tidligere versioner bør opdatere til Adobe AIR 13.0.0.111 SDK.
  • Brugere af Adobe AIR 13.0.0.83 SDK & Compiler samt tidligere versioner bør opdatere til Adobe AIR 13.0.0.111 SDK & Compiler.

Disse opdateringer løser et sikkerhedsproblem med use-after-free, der kan medføre vilkårlig kodekørsel (CVE-2014-0510).

Disse opdateringer løser et sikkerhedsproblem, der kan bruges til at omgå same origin policy (CVE-2014-0516).

Disse opdateringer løser sikkerhedsproblemer med omgåelse af sikkerheden (CVE-2014-0517, CVE-2014-0518, CVE-2014-0519, CVE-2014-0520).

Påvirket software     Anbefalet Player-opdatering Tilgængelighed
Flash Player 13.0.0.206 og tidligere versioner til Windows og Macintosh   13.0.0.214 Flash Player Download Center
Flash Player 13.0.0.206 og tidligere versioner (netværksdistribution)   13.0.0.214
Flash Player-licens
Flash Player 11.2.202.356 og tidligere versioner til Linux   11.2.202.359 Flash Player Download Center
Flash Player 13.0.0.206 og tidligere til Chrome (Windows, Macintosh og Linux)   13.0.0.214
Google Chrome-frigivelser
Flash Player 13.0.0.206 og tidligere i Internet Explorer 10 til Windows 8.0   13.0.0.214
Microsoft Security Advisory
Flash Player 13.0.0.206 og tidligere i Internet Explorer 11 til Windows 8.1   13.0.0.214
Microsoft Security Advisory
AIR 13.0.0.83 SDK & Compiler   13.0.0.111 AIR SDK Download
AIR 13.0.0.83 SDK   13.0.0.111 AIR SDK Download

Tak til følgende personer

Adobe vil gerne takke følgende personer og organisationer for at rapportere de relevante sikkerhedsproblemer og for at samarbejde med Adobe for at beskytte vores kunder:

  • Keen Team og Team 509 i samarbejde med HPs Zero Day Initiative (CVE-2014-0510)
  • Masato Kinugawa (CVE-2014-0516)
  • James Forshaw fra Contextis (CVE-2014-0517, CVE-2014-0518, CVE-2014-0519, CVE-2014-0520)